> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Subscription Category Views

> Returns a list of subscription category views for the customer.



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}/subscription-category-views
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/subscription-category-views:
    get:
      tags:
        - Projection
      summary: List Subscription Category Views
      description: Returns a list of subscription category views for the customer.
      operationId: listSubscriptionCategoryViews
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: aut
        - name: filter[category_id]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: 4cdf32b8-47e2-4714-88b4-9ab307a097f9
          example: 4cdf32b8-47e2-4714-88b4-9ab307a097f9
        - name: filter[status]
          in: query
          description: ''
          schema:
            enum:
              - active
              - pending
              - expired
              - draft
              - terminated
              - pending_termination
            type: string
            description: ''
            example: active
          example: active
        - name: filter[statuses]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: active,pending
          example: active,pending
        - name: sort
          in: query
          description: >-
            A comma-separated list of fields to sort. Multiple allowed. Prefix
            with `-` to sort descending.
          schema:
            enum:
              - product_category_name
              - status
            type: string
            description: >-
              A comma-separated list of fields to sort. Multiple allowed. Prefix
              with `-` to sort descending.
            example: product_category_name
          example: product_category_name
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          example: d7517eaf-1c9a-38e9-b26c-4bd05bf6a51e
                        subscription_id:
                          type: string
                          example: 4879373a-c6a2-3ce6-a331-492097e56606
                        subscription_name:
                          type: string
                          example: Possimus ea neque nam.
                        status:
                          type: string
                          example: draft
                        product_category_id:
                          type: string
                          example: a13651d6-720e-4e46-a570-5e4ef966c641
                        product_category_name:
                          type: string
                          example: sed-molestias-ea-suscipit-ipsam-impedit-est-quia
                        purchasable_id:
                          type: string
                          example: 1f3cf814-4758-3954-82df-10843c377954
                        purchasable_type:
                          type: string
                          example: product_variant
                        customer_id:
                          type: string
                          example: a13651d6-714e-4e1d-9828-7b10027b7119
                    example:
                      - uuid: d7517eaf-1c9a-38e9-b26c-4bd05bf6a51e
                        subscription_id: 4879373a-c6a2-3ce6-a331-492097e56606
                        subscription_name: Possimus ea neque nam.
                        status: draft
                        product_category_id: a13651d6-720e-4e46-a570-5e4ef966c641
                        product_category_name: sed-molestias-ea-suscipit-ipsam-impedit-est-quia
                        purchasable_id: 1f3cf814-4758-3954-82df-10843c377954
                        purchasable_type: product_variant
                        customer_id: a13651d6-714e-4e1d-9828-7b10027b7119
                      - uuid: 6067f622-4589-39b9-bfee-67db33030551
                        subscription_id: d2f9a360-2704-3abb-b725-9955f7f7fa5a
                        subscription_name: Rerum laboriosam et.
                        status: draft
                        product_category_id: a13651d6-882b-4fde-bd56-3fcc9452b97a
                        product_category_name: ut-illo-nesciunt-totam-omnis-commodi
                        purchasable_id: 6fa0a2e7-c806-3385-b4fe-a792a11c1873
                        purchasable_type: product_variant
                        customer_id: a13651d6-8768-44ef-b684-69b6fb3689c8
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 2
                      per_page:
                        type: integer
                        example: 10
                example:
                  data:
                    - uuid: d7517eaf-1c9a-38e9-b26c-4bd05bf6a51e
                      subscription_id: 4879373a-c6a2-3ce6-a331-492097e56606
                      subscription_name: Possimus ea neque nam.
                      status: draft
                      product_category_id: a13651d6-720e-4e46-a570-5e4ef966c641
                      product_category_name: sed-molestias-ea-suscipit-ipsam-impedit-est-quia
                      purchasable_id: 1f3cf814-4758-3954-82df-10843c377954
                      purchasable_type: product_variant
                      customer_id: a13651d6-714e-4e1d-9828-7b10027b7119
                    - uuid: 6067f622-4589-39b9-bfee-67db33030551
                      subscription_id: d2f9a360-2704-3abb-b725-9955f7f7fa5a
                      subscription_name: Rerum laboriosam et.
                      status: draft
                      product_category_id: a13651d6-882b-4fde-bd56-3fcc9452b97a
                      product_category_name: ut-illo-nesciunt-totam-omnis-commodi
                      purchasable_id: 6fa0a2e7-c806-3385-b4fe-a792a11c1873
                      purchasable_type: product_variant
                      customer_id: a13651d6-8768-44ef-b684-69b6fb3689c8
                  meta:
                    current_page: 1
                    total: 2
                    per_page: 10
              example:
                data:
                  - uuid: d7517eaf-1c9a-38e9-b26c-4bd05bf6a51e
                    subscription_id: 4879373a-c6a2-3ce6-a331-492097e56606
                    subscription_name: Possimus ea neque nam.
                    status: draft
                    product_category_id: a13651d6-720e-4e46-a570-5e4ef966c641
                    product_category_name: sed-molestias-ea-suscipit-ipsam-impedit-est-quia
                    purchasable_id: 1f3cf814-4758-3954-82df-10843c377954
                    purchasable_type: product_variant
                    customer_id: a13651d6-714e-4e1d-9828-7b10027b7119
                  - uuid: 6067f622-4589-39b9-bfee-67db33030551
                    subscription_id: d2f9a360-2704-3abb-b725-9955f7f7fa5a
                    subscription_name: Rerum laboriosam et.
                    status: draft
                    product_category_id: a13651d6-882b-4fde-bd56-3fcc9452b97a
                    product_category_name: ut-illo-nesciunt-totam-omnis-commodi
                    purchasable_id: 6fa0a2e7-c806-3385-b4fe-a792a11c1873
                    purchasable_type: product_variant
                    customer_id: a13651d6-8768-44ef-b684-69b6fb3689c8
                meta:
                  current_page: 1
                  total: 2
                  per_page: 10
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````